<?php

session_start();

set_time_limit( 0 );

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';
if ( !isset( $_SESSION['id'] ) ) {
    echo '<div class="big_topics bor_top round3 FFF hr"><font color="red"><b>Ошибка!</b> Вы не авторизированы.<br />Пожалуйста, воспользуйтесь формой авторизации.</font></div>';
} else {
$config_user = $pdo->Query("SELECT * from php_user WHERE id = '" . $_SESSION['id'] . "'")->fetch(PDO::FETCH_BOTH);
/*---Обрезаем email для защиты---*/
$start_end_email = preg_match( "/^([a-z0-9\-\.\_]+)(@[a-z0-9]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})/is", $config_user['email'], $outemail );
$sec_email_user = substr( $outemail[1], 0, 1 ) . '*******' . substr( $outemail[1], -1) . $outemail[2];

/*---Дата последнего входа---*/
 $month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
 if ( date( 'd.m.Y', $config_user['regdata'] ) == date( 'd.m.Y', time() ) ) {
  $frd_logindate = 'сегодня в ' . date( 'H:i', $config_user['regdata'] ) . '';
 } else {
  $frd_logindate = '' . ( int ) date( 'd', $config_user['regdata'] ) . ' ' . $month[( int ) date( 'm', $config_user['regdata'] ) - 1] . ' ' . date( 'Y', $config_user['regdata'] ) . '';
 }
$user_set = $pdo->Query("SELECT * from php_user WHERE id = '" . $_SESSION['id'] . "'")->fetch(PDO::FETCH_BOTH);

?>
<script type="text/javascript">
$(document).ready(function(){
    $('.btn_up_avatar').on("click", trigbutton);
    function trigbutton() {
        $('#newavatar').trigger('click');
    }

    $('#sex').styler({width:'130'});
});

function newavatar() {
    var file = document.getElementById('newavatar').files[0];
    var fd = new FormData();
    fd.append("newavatar", file);

    xhr = new XMLHttpRequest();
    xhr.open("post", "ajax.php?func=newavatar");
    xhr.addEventListener("load", uploadComplete, false);
    xhr.send(fd);
    return false;
}
function uploadComplete(evt) {
    if (evt.target.responseText == 1) {
        $('body').Qnotify({text:'Аватар успешно обновлен', sound:'error'});
        reloadpage.leftprofiles();
        $('#newavatar').val('');
    } else {
        $('body').Qnotify({text:evt.target.responseText, sound:'error'});
    }
}

function set() {
    $.ajax ({
        url: 'ajax.php?func=set',
        type: 'POST',
        dataType: 'html',
        data: $("#set").serialize(),
        success: function(data) {
            if (data == 1) {
                location.assign('set');
            }
        }
    });
}
</script>
<div class="big_topics bor_top round3 FFF hr">
      
       <div class="wrap_user_r">
       <div class="top_games_small">Личные данные:</div>
<div class="infotext">Картинка для аватара должна быть 100 х 100 пикселей и быть не более 200 килобайт. Принимаются картинки таких типов: gif, jpg, jpeg, png.</div>
	   
	   <table style="margin-left:10px;"><tr>
       <td><img src="<?=ROOT?>/temp/avatar/<?=$config_user['avatar']?>" width="60" height="60" class="avatar" alt=""/></td>
            <td class="tabright">Аватар:</td>
            <td class="tableft"><input type="file" name="newavatar" id="newavatar" onchange="newavatar(this); return false;" style="visibility:hidden;" /><div class="btn_up_avatar" id="btn_up_avatar">изменить</div></td>
        </tr>
        
    </table>
	<br>
 <div class="top_games_small">Платежные реквизиты:</div>	   
        <form  id="set" method="POST" style="margin-left:10px;">
        <div class="padd10"></div><div class="top_games_mini">Ваш Яндекс счет:</div><input type="text" name="yandex" id="yandex" class="ii round3" placeholder="Яндекс счет" value="<?=$user_set['yandex']?>" />
        <div class="padd10"></div><div class="top_games_mini">Счёт в Payeer:</div><input type="text" name="payeer" id="payeer" class="ii round3" placeholder="Payeer счёт" value="<?=$user_set['payeer']?>" />
        <div class="padd10"></div><div class="top_games_mini">Qiwi счёт без знака (+):</div><input type="text" name="qiwi" id="qiwi" class="ii round3" placeholder="Qiwi счёт без знака (+)" value="<?=$user_set['qiwi']?>" />
        <div class="padd10"></div><input type="button" onclick="set();return false;" value="Сохранить" class="fb round3" style="padding:10px 25px;margin-left:225px;" /></form>


       </div>

 
 </div>

<?}?>